Package org.springframework.security.web.webauthn.api

# Interface PublicKeyCredentialUserEntity

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `ImmutablePublicKeyCredentialUserEntity`

public interface PublicKeyCredentialUserEntity extends Serializable
PublicKeyCredentialUserEntity is used to supply additional user account attributes when creating a new credential.

Since:
  6.4
See Also:
  - `WebAuthnRelyingPartyOperations.authenticate(org.springframework.security.web.webauthn.management.RelyingPartyAuthenticationRequest)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
The displayName is a human-palatable name for the user account, intended only for display.
`Bytes`
`getId()`
The id is the user handle of the user account.
`String`
`getName()`
The name property is a human-palatable identifier for a user account.

## Method Details

### getName

String getName()
The name property is a human-palatable identifier for a user account.

Returns:
  the name

### getId

Bytes getId()
The id is the user handle of the user account. A user handle is an opaque byte sequence with a maximum size of 64 bytes, and is not meant to be displayed to the user.

Returns:
  the user handle of the user account

### getDisplayName

String getDisplayName()
The displayName is a human-palatable name for the user account, intended only for display.

Returns:
  the display name